describe('Sign Up', () => {
  it('access signup page', () => {

    cy.visit('/');
    cy.url().should('include', '/signin');

    cy.get('.signup.link').click();
  });

  it('fills signup form', () => {
    const signupData = {
      firstname: 'Cy',
      lastname: 'Press',
      email: 'cypress@example.com',
      phone: '0123456789',
      comments: 'e2e testing'
    };

    const password = 'Pressword1';

    cy.get('#signup-firstname')
      .type(signupData.firstname)
      .should('have.value', signupData.firstname);
    cy.get('#signup-lastname')
      .type(signupData.lastname)
      .should('have.value', signupData.lastname);
    cy.get('#signup-email')
      .type(signupData.email)
      .should('have.value', signupData.email);
    cy.get('#signup-phone')
      .type(signupData.phone)
      .should('have.value', signupData.phone);
    cy.get('#signup-comments')
      .type(signupData.comments)
      .should('have.value', signupData.comments);

    cy.get('#signup-username')
      .should('have.value', `${signupData.firstname[0].toLowerCase()}${signupData.lastname.toLowerCase()}`);

    cy.get('#signup-password1')
      .type(password);
    cy.get('#signup-password2')
      .type(password);

    cy.get('.btn-primary')
      .click();
  });
});