import config from '../../public/config.js';

describe('Check redirections', () => {
  it('accepts authorized redirections', () => {
    const acceptableRedirections = [
      '/',
      '/onegeo-publish',
      '/onegeo-publish/accounts/users/23/',
      '/onegeo-publish/data/datasets/1/',
      '/onegeo-login',
      '/portail',
      '/portail/fr/recherche'
    ];

    for (const redirection of acceptableRedirections) {
      expect(config.authorizedRedirections.some(reg => {
        return reg.test(decodeURIComponent(redirection));
      })).toBe(true);
    }
  });

  it('refuses unauthorized redirections', () => {
    const unacceptableRedirections = [
      '/union-des-pirates-russes',
      '/onegeo',
      '/neogeo.fr',
      '',
      '/viens/j\'ai/des/bonbons'
    ];

    for (const redirection of unacceptableRedirections) {
      expect(config.authorizedRedirections.some(reg => {
        return reg.test(decodeURIComponent(redirection));
      })).toBe(false);
    }
  });
});
